#ifndef GLTEST_WAVEMESH_H
#define GLTEST_WAVEMESH_H

#include "Mesh.h"
#include <vector>

class WaveMesh: public Mesh {
private:
	float _shift;

public:
	WaveMesh(ShaderProgram* shader, std::size_t size);
	virtual ~WaveMesh();
	void setShift(float shift);

private:
	float heightMap(std::size_t nx, std::size_t ny) const override final;
	float heightMap(float fx, float fy) const override final;
};


#endif //GLTEST_WAVEMESH_H
